Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0005258 [JEDI VCL] 00 JVCL Components major always 2010-06-06 21:00 2012-02-29 16:53
Reporter PavelZ View Status public  
Assigned To obones
Priority normal Resolution fixed  
Status resolved   Product Version 3.39
Summary 0005258: TJvBalloonHint NOT painting on Windows 7
Description BalloonHint painting entirely transparent. Visible only edging.
I compile in Delphi 2007 project BalloonPrj.dproj in folder examples\JvBalloonHint\.
On Windows XP and Vist Hint painting correctly. On Windows 7 - transparent. See example in the attached picture.
Additional Information
Tags No tags attached.
Attached Files gif file icon BalloonHint.gif [^] (12,446 bytes) 2010-06-06 21:00

- Relationships
has duplicate 0005542resolvedobones [TJvBalloonHint] Problem with long hint on vista 
related to 0006307resolvedobones TJvBalloonHint NOT painting on Windows WIN8 and DEX5 
related to 0006297resolvedobones TJvBalloonHint NOT painting on Windows 7 / 8 

-  Notes
(0017437)
obones (administrator)
2010-06-07 10:35

Please try with the latest SVN content and report back your findings
(0017482)
PavelZ (reporter)
2010-06-09 10:46

I try the latest SVN version TJvBalloonHint - NOT painting on Windows 7. :(
I use Windows 7 ultimate russian edition.
(0017537)
moondog (reporter)
2010-07-20 15:59

This can be fixed by adding the following code on the createparams method:

function IsWin7: Boolean;
begin
  Result := (Win32Platform = VER_PLATFORM_WIN32_NT) and
    ((Win32MajorVersion = 6) and (Win32MinorVersion = 1));
end;

procedure TJvBalloonWindow.CreateParams(var Params: TCreateParams);
begin
  inherited CreateParams(Params);
  { Drop shadow in combination with custom animation may cause blurry effect,
    no solution.
  }
  with Params do
  begin
    Style := Style and not WS_BORDER;

    if IsWinXP_UP and (GetComCtlVersion >= ComCtlVersionIE6) then
    begin
      WindowClass.Style := WindowClass.Style or CS_DROPSHADOW;
      {$IFDEF JVCLThemesEnabled}
      if (not IsWin7) and (IsWinVista_UP and ThemeServices.ThemesEnabled) then
        ExStyle := ExStyle or WS_EX_LAYERED;
      {$ENDIF JVCLThemesEnabled}
    end
    else
      WindowClass.Style := WindowClass.Style and not CS_DROPSHADOW;
  end;
end;
(0017538)
moondog (reporter)
2010-07-20 16:00

In unit JvBallonHint.pas
(0017817)
obones (administrator)
2010-10-08 16:14

Thanks, this is now in SVN

- Issue History
Date Modified Username Field Change
2010-06-06 21:00 PavelZ New Issue
2010-06-06 21:00 PavelZ File Added: BalloonHint.gif
2010-06-07 10:35 obones Note Added: 0017437
2010-06-07 10:35 obones Status new => feedback
2010-06-09 10:46 PavelZ Note Added: 0017482
2010-07-20 15:59 moondog Note Added: 0017537
2010-07-20 16:00 moondog Note Added: 0017538
2010-10-08 16:14 obones Note Added: 0017817
2010-10-08 16:14 obones Status feedback => resolved
2010-10-08 16:14 obones Fixed in Version => Daily / SVN
2010-10-08 16:14 obones Resolution open => fixed
2010-10-08 16:14 obones Assigned To => obones
2011-09-26 17:04 obones Relationship added related to 0005542
2012-02-23 10:04 obones Relationship replaced has duplicate 0005542
2012-02-29 16:53 obones Fixed in Version Daily / SVN => 3.45
2014-08-31 22:39 obones Relationship added related to 0006307
2014-08-31 22:40 obones Relationship added related to 0006297


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker